Update a guardrail
curl --request PUT \
--url https://api.portkey.ai/v1/guardrails/{guardrailId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"name": "<string>",
"checks": [
{
"parameters": {
"jwksUri": "<string>",
"headerKey": "<string>",
"cacheMaxAge": 86400,
"clockTolerance": 5,
"maxTokenAge": "1d",
"algorithms": [
"RS256"
]
},
"name": "<string>",
"is_enabled": true
}
]
}
'import requests
url = "https://api.portkey.ai/v1/guardrails/{guardrailId}"
payload = {
"name": "<string>",
"checks": [
{
"parameters": {
"jwksUri": "<string>",
"headerKey": "<string>",
"cacheMaxAge": 86400,
"clockTolerance": 5,
"maxTokenAge": "1d",
"algorithms": ["RS256"]
},
"name": "<string>",
"is_enabled": True
}
]
}
headers = {
"x-portkey-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-portkey-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
checks: [
{
parameters: {
jwksUri: '<string>',
headerKey: '<string>',
cacheMaxAge: 86400,
clockTolerance: 5,
maxTokenAge: '1d',
algorithms: ['RS256']
},
name: '<string>',
is_enabled: true
}
]
})
};
fetch('https://api.portkey.ai/v1/guardrails/{guardrailId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"slug": "<string>",
"version_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}Update Guardrail
Updates an existing guardrail’s name, checks, or actions
PUT
/
guardrails
/
{guardrailId}
Update a guardrail
Authorizations
Path Parameters
Guardrail UUID or slug to update
Body
application/json
Last modified on April 2, 2026
Was this page helpful?
⌘I

